Page MenuHomePhabricator

Make an official statement on which guide for WikimediaUI is the official one to remove confusion
Closed, ResolvedPublic

Description

Which ones are the official ones? There seems to be a couple which makes it a little confusing.

Summary:
https://design.wikimedia.org/style-guide/ is the current, official style guide, we gonna resolve this task by either deleting or clearly mark outdated resources (see sub-tasks).

Related Objects

StatusAssignedTask
ResolvedVolker_E
ResolvedRillke
ResolvedPrtksxna
ResolvedVolker_E
Resolved madhuvishy
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
OpenVolker_E
DuplicateVolker_E
ResolvedNone
Resolved Jdlrobson
Resolved Jdlrobson
ResolvedNirzar
ResolvedVolker_E
OpenNone
ResolvedPrtksxna
Resolvedbd808
Resolvedbd808

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2016, 5:00 PM
Volker_E added a comment.EditedNov 19 2016, 10:39 PM

Thank you, @SamanthaNguyen for asking. We are aware that there's possible confusion around our documentation. We're actively working on replacing the scattered resources with only one, the Github repo you've pointed out as first item.
It's planned to live at a Foundation address, leaning towards https://meta.wikimedia.org/ right now with important pointers from mediawiki.org as well.
The other URLs you've mentioned are either historic (not further developed) or in case of wikimedia-ui.wmflabs.org resulted from a side project, that is helping us to weigh the different topics needed and leave nothing behind.

Fyi, there will be a presentation at Wikimedia-Developer-Summit (2017) on the guidelines work and the already accomplished changes.
I'll also prioritize to clearly notify (with a message, and in mid-term abandon) about the state of the other mentioned resources for users to address confusion.

Ah okay, that makes sense, thank you. :)

Thank you, @SamanthaNguyen for asking. We are aware that there's possible confusion around our documentation. We're actively working on replacing the scattered resources with only one, the Github repo you've pointed out as first item.

Why is this living on Github, instead of Gerrit or Diffusion?

@Volker_E Am I right in that https://tools.wmflabs.org/oojs-ui/oojs-ui/demos/index.html is the outdated demo, and https://doc.wikimedia.org/oojs-ui/master/demos/ is the current demo? If it's not too late to be pointed out in the developer summit, it should be pointed out that one of these outdated (which I believe is from the tools.wmflabs.org oojs-ui demo). Thanks in advance :)

Paladox added a subscriber: Paladox.Jan 3 2017, 2:54 AM
Volker_E added a comment.EditedJan 3 2017, 3:19 AM

@SamanthaNguyen Thank you for pointing this out, https://doc.wikimedia.org/oojs-ui/master/demos/ is the latest and greatest. Going to file a task to abandon the former. Was the WMFLabs outdated one referenced somewhere specific?

SamanthaNguyen added a comment.EditedJan 5 2017, 9:41 PM

Thanks for doing that :) It was just referenced in https://tools.wmflabs.org/?list (AFAIK, there may be more) - although it still appears to be on the list?

Volker_E triaged this task as High priority.
Volker_E claimed this task.
Volker_E updated the task description. (Show Details)Jan 9 2017, 5:55 AM
JGirault added a subscriber: JGirault.
Iniquity added a subscriber: Iniquity.
Volker_E updated the task description. (Show Details)Jan 30 2017, 8:43 PM
Prtksxna updated the task description. (Show Details)Mar 10 2017, 4:24 AM
Krinkle added a subscriber: Krinkle.
Krinkle added a comment.EditedMar 10 2017, 4:49 AM

@Volker_E I personally don't mind it being authored on GitHub for the moment, but perhaps we can at least publish it on a wikimedia.org domain? Should be relatively straight-forward to host this on https://doc.wikimedia.org/styleguide or some such.

We could use integration/docroot for this, which statically hosts doc.wikimedia.org. Since the repo is hosted off-site, it'll probably require manual updates to publish, but could be semi-automated with a command-line script:

  • Add a script to integration/docroot.git that pulls from https://github.com/wikimedia/WikimediaUI-Style-Guide/, and performs any build-steps if needed.
  • Whenever you want to publish an update, run the script locally, commit the difference, and merge on gerrit.
  • Jenkins will automatically deploy the new build post-merge.

It's not great, but that may be the best we can do if hosted on GitHub. Alternatively, if it's on Gerrit or Diffusion (with GitHub mirror) we could auto-deploy directly.

If this isn't desirable, we could also add a link to the current style guide site from the https://doc.wikimedia.org header (similar to the Gerrit link).

@Krinkle That has been mentioned to Wes already a while ago and was my original plan. Publishing under a GitHub domain clearly does not provide clarity about it being an “official” resource! With the change, we have to have the conversation again.
Thanks for the technical details.

Isarra added a subscriber: Isarra.Mar 13 2017, 5:14 PM
Krinkle updated the task description. (Show Details)Apr 11 2018, 4:34 AM
Krinkle updated the task description. (Show Details)
Krinkle updated the task description. (Show Details)
Krinkle updated the task description. (Show Details)
Krinkle updated the task description. (Show Details)Apr 11 2018, 4:39 AM
Krinkle updated the task description. (Show Details)
Prtksxna updated the task description. (Show Details)Apr 11 2018, 4:40 AM
Krinkle updated the task description. (Show Details)Apr 11 2018, 4:44 AM
Volker_E updated the task description. (Show Details)Apr 11 2018, 7:46 PM

@Prtksxna Would you update http://living-style-guide.wmflabs.org/ notice one more time? And point to the final style guide URL design.wikimedia.org/style-guide…

Volker_E updated the task description. (Show Details)Apr 11 2018, 7:58 PM
Volker_E updated the task description. (Show Details)Apr 12 2018, 12:04 AM
Volker_E closed this task as Resolved.May 24 2018, 10:38 AM

This is resolved!